name = "Feather Pencil Tweak"
description = "Changes the feather pencil to have a durability rather than just one use. Also allows you to toggle whether a feather pencil is needed to craft a map or not."
author = "w00tyd00d"
version = "1.0.0"
forumthread = ""

api_version = 6
api_version_dst = 10

dont_starve_compatible = false
reign_of_giants_compatible = false
shipwrecked_compatible = false
dst_compatible = true

client_only_mod = false
all_clients_require_mod = true

--These tags allow the server running this mod to be found with filters from the server listing screen
server_filter_tags = {"feather","pencil"}

icon_atlas = "feather_pencil.xml"
icon = "feather_pencil.tex"


configuration_options =
{
	{
		name = "FEATHERPENCIL_USES",
		label = "Feather Pencil Uses",
		hover = "How many uses should you get from one feather pencil?",
		options = 
		{
			{description = "5",		data = 5},
			{description = "10",	data = 10},
			{description = "15",	data = 15},
			{description = "20",	data = 20},
		},
		default = 10,
	},

	{
		name = "FEATHERPENCIL_DESK",
		label = "Maps Don't Need Pencils",
		hover = "If True, the cartographer's desk will require one feather pencil in order to be crafted,\nbut maps will no longer require one in their recipe.",
		options = 
		{
			{description = "False",		data = false},
			{description = "True",		data = true},
		},
		default = false,
	},
}